var system = require("../../../system")
const CtlBase = require("../../ctl.base");
//完税
class TaxinfoCtl extends CtlBase {
    constructor() {
        super("all", CtlBase.getServiceName(TaxinfoCtl));
    }

    async allList(qobj){
        var params = qobj || {};
        if (params.month) {
            let date = this.getMonthDays(params.month);
            params.signBegin =date[0];
            params.signEnd =date[date.length-1];
        }
        this.doTimeCondition(params, ["signBegin", "signEnd"]);
        try {
            var page = await this.service.signPage(params);
            return system.getResult2(page);
        } catch (e) {
            console.log(e);
            return system.getErrResult2("您的网络不稳, 请稍后重试");
        }
    }

}

module.exports = TaxinfoCtl;